Index: /trunk/SRC/ToBeReviewed/GRILLE/t2v.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/t2v.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/GRILLE/t2v.pro	(revision 142)
@@ -3,33 +3,36 @@
 ;------------------------------------------------------------
 ;+
-; NAME:t2v
 ;
-; PURPOSE:permet de passer un champs se rapportant a la grille T sur
-; la grille V, grace a la moyenne: res = 0.5*(res + shift(res, 0, -1))
-;      
+; @file_comments
+; Allows to pass a field refering to the grid T on the grid V, 
+; thanks to the average res = 0.5*(res + shift(res, 0, -1))
+; 
+; @categories 
+; Grille
 ;
-; CATEGORY:grille
+; @param TEMP {in}{required}
+; A 2, 3 or 4d array
 ;
-; CALLING SEQUENCE:res=t2v(tab)
-; 
-; INPUTS:tab, un tableau 2, 3 ou 4d
+; @returns
+; res, a 2, 3 or 4d array
 ;
-; KEYWORD PARAMETERS:
+; @uses
+; common.pro
 ;
-; OUTPUTS:res, un tableau 2, 3 ou 4d
+; @restrictions 
+; Force parameters of the zoom on the grid V to be the same as 
+; those on the grid T.
 ;
-; COMMON BLOCKS:common.pro
+; @restrictions 
+; Points which can not be calculated are put at the value NaN 
+; consecrated by IDL: !values.f_nan
 ;
-; SIDE EFFECTS:force les parametres du zoom sur la grille V a etre
-; les memes que ceux sur la grille T.
+; @history
+; From Marina Levy's programs
+; Sebastien Masson (smasson@lodyc.jussieu.fr):
+; Validation. 5/6/2000
 ;
-; RESTRICTIONS:les points qui ne peuvent etre calcules sont mis a la
-; valeur NaN consacree par IDL: !values.f_nan
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:Marina Levy
-;                      Sebastien Masson (smasson@lodyc.jussieu.fr):
-;                      inspection des traveuax finis. 5/6/2000
+; @version
+; $Id$
 ;
 ;-
@@ -51,5 +54,5 @@
    res = temp
 
-;on force nxt=nxv, etc ...
+;We force nxt=nxv, etc ...
    firstxv = firstxt
    lastxv = lastxt
@@ -63,5 +66,5 @@
    lat2 = gphiv[0, lastyv]
 
-; cas sur la taille du tableau et application 
+; case on tha array's size and application
    taille = size(temp)
    CASE taille[0] OF 
Index: /trunk/SRC/ToBeReviewed/GRILLE/tracegrille.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/tracegrille.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/GRILLE/tracegrille.pro	(revision 142)
@@ -3,43 +3,45 @@
 ;------------------------------------------------------------
 ;+
-; NAME:tracegrille
 ;
-; PURPOSE:dessine la grille
+; @file_comments
+; Draw the grid
 ;
-; CATEGORY:
+; @categories
+; 
+; @param GLAMIN {in}{required}
+; The 1d or 2d array in longitude of points of the grid.If GLAM/GLAMIN 
+; is not specified, it trace the grid specified by vargrid, on the 
+; domain defined by domdef.
 ;
-; CALLING SEQUENCE:tracegrille
+; @param GPHIIN {in}{required}
+; The 1d or 2d array in latitude of points of the grid.If GPHI/GPHIIN 
+; is not specified, it trace the grid specified by vargrid, on the 
+; domain defined by domdef.
+;
+; @keyword XSTRIDE 
+; It is an integer to specify that we want to trace only one line of 
+; constant i every xstride points
+;
+; @keyword YSTRIDE 
+; It is an integer to specify that we want to trace only one line of 
+; constant j every xstride points
+;
+; @keyword OCEAN 
+; To trace the grid only on ocean points.
 ; 
-; INPUTS:glam et gphi, les tableaux 1d ou 2d des position en
-; longitude/latitude des points de la grille. Si glam et gphi ne sont
-; pas specifies, trace la grille specifiee par vargrid, sur le domaine
-; definit par le dernier domdef.
+; @keyword EARTH
+; To trace the grid only on land points pour ne tracer la grille que sur les points terre
 ;
-; KEYWORD PARAMETERS:
+; @keyword RMOUT
+; Select to remove all cell having one corner out of the
+; plot boundaries (!x.range, !y.range)
 ;
-;        XSTRIDE un entier pour specifier qu''on ne veut tracer
-;        qu''une ligne de i constant tout les xstride points
-;
-;        YSTRIDE un entier pour specifier qu''on ne veut tracer
-;        qu''une ligne de j constant tout les ystride points
-;
-;        /OCEAN: pour ne tracer la grille que sur les points oceans
+; @keyword _EXTRA
+; Used to pass your keywords.
 ; 
-;        /EARTH: pour ne tracer la grille que sur les points terre
-;
-;        /RMOUT:select to remove all cell having one corner out of the
-;        plot boundaries (!x.range, !y.range)
-;
-;        + tous les mots clefs de la procedure PLOTS
-;
-; OUTPUTS:none
-;
-; COMMON BLOCKS:common.pro
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
+; @uses
+; common.pro
+; 
+; @examples
 ;
 ;     IDL> plt,indgen(jpi,jpj),/nocontour,/nofill
@@ -49,6 +51,10 @@
 ;
 ;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
-;                      
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+;
+; @version
+; $Id$
+;                  
 ;-
 ;------------------------------------------------------------
@@ -68,5 +74,5 @@
   ENDIF
 ;---------------------------------------------------------
-  tempsun = systime(1)          ; pour key_performance
+  tempsun = systime(1)          ; For key_performance
 ; to avoid warning message
   oldexcept = !except
Index: /trunk/SRC/ToBeReviewed/GRILLE/u2t.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/u2t.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/GRILLE/u2t.pro	(revision 142)
@@ -3,33 +3,37 @@
 ;------------------------------------------------------------
 ;+
-; NAME:u2t
 ;
-; PURPOSE:permet de passer un champs se rapportant a la grille U sur
-; la grille T, grace a la moyenne: res = 0.5*(res + shift(res, 1, 0))
-;      
+; @file_comments
+; Allows to pass a field refering to the grid U on the grid T, 
+; thanks to the average: 
+; res = 0.5*(res + shift(res, 1, 0))    
 ;
-; CATEGORY:grille
+; @categories 
+; Grille
 ;
-; CALLING SEQUENCE:res=u2t(tab)
-; 
-; INPUTS:tab, un tableau 2, 3 ou 4d
+; @param TEMP {in}{required}
+; A 2, 3 or 4d array
 ;
-; KEYWORD PARAMETERS:
+; @returns
+; res, a 2, 3 or 4d array
 ;
-; OUTPUTS:res, un tableau 2, 3 ou 4d
+; @uses
+; common.pro
 ;
-; COMMON BLOCKS:common.pro
+; @restrictions 
+; Force parameters of the zoom on the grid V to be the same as 
+; those on the grid T.
 ;
-; SIDE EFFECTS:force les parametres du zoom sur la grille V a etre
-; les memes que ceux sur la grille T.
+; @restrictions 
+; Points which can not be calculated are put at the value NaN 
+; consecrated by IDL: !values.f_nan
 ;
-; RESTRICTIONS:les points qui ne peuvent etre calcules sont mis a la
-; valeur NaN consacree par IDL: !values.f_nan
+; @history
+; From Marina Levy's programs
+; Sebastien Masson (smasson@lodyc.jussieu.fr):
+; Validation. 5/6/2000
 ;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:a partir des programmes de Marina Levy
-;                      Sebastien Masson (smasson@lodyc.jussieu.fr):
-;                      inspection des traveuax finis. 5/6/2000
+; @version
+; $Id$
 ;
 ;-
@@ -62,5 +66,5 @@
    lon2 = glamu[lastxu, 0]
 ;
-; cas sur la taille du tableau et application 
+; case on tha array's size and application
    taille = size(temp)
    CASE taille[0] OF 
Index: /trunk/SRC/ToBeReviewed/GRILLE/umask.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/umask.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/GRILLE/umask.pro	(revision 142)
@@ -3,35 +3,29 @@
 ;------------------------------------------------------------
 ;+
-; NAME:umask
 ;
-; PURPOSE:calcule umask
+; @file_comments
+; calculate umask. Economize memory (we do not need to keep umask anymore)
 ;
-; CATEGORY:fonction economisatrice de memoire (plus besion de garder
-; umask)  
+; @categories
+; Utilities 
 ;
-; CALLING SEQUENCE:res=umask()
+; @returns
+; A 3d array corresponding to umask. 
 ;
-; INPUTS:
+; @uses
+; common.pro
 ;
-; KEYWORD PARAMETERS:
-;
-; OUTPUTS:un tableau 3d correspondant a umask
-;
-; COMMON BLOCKS:
-;	common.pro
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:s''utilise comme si umask etait un tableau connu en
-; replacant ds la syntaxe umask par umask(). par ex:
-; au lieu de taper umask[domaineu] il faut taper (umask())[domaineu]
-
+; @examples
+; Used like if umask was a known array by substituing umask by (umask())
+; For example: Instaed of write umask[domainef] we have to write (umask())[domainef]
 ;
 ; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                       11/12/98
-;                       ??/6/99 introduction du key_shift
-;                       20/9/99 cas jpk=1 (merci jpblod@ipsl.jussieu.fr)
+;                       ??/6/99 introduction of the key_shift
+;                       20/9/99 cas jpk=1 (Thanks to  jpblod@ipsl.jussieu.fr)
+;
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
@@ -48,5 +42,5 @@
   ENDIF
 ;---------------------------------------------------------
-  tempsun = systime(1)          ; pour key_performance
+  tempsun = systime(1)          ; For key_performance
 ;
   CASE size(tmask, /n_dimensions) OF
Index: /trunk/SRC/ToBeReviewed/GRILLE/v2t.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/v2t.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/GRILLE/v2t.pro	(revision 142)
@@ -3,33 +3,39 @@
 ;------------------------------------------------------------
 ;+
-; NAME:v2t
 ;
-; PURPOSE:permet de passer un champs se rapportant a la grille V sur
-; la grille T, grace a la moyenne: res = 0.5*(res + shift(res, 0, +1))
-;      
+; @file_comments
+; Allows to pass a field refering to the grid V on the grid T, 
+; thanks to the average: 
+; res = 0.5*(res + shift(res, 1, 0))    
 ;
-; CATEGORY:grille
+; @categories 
+; Grille
 ;
-; CALLING SEQUENCE:res=v2t(tab)
-; 
-; INPUTS:tab, un tableau 2, 3 ou 4d
+; @param TEMP {in}{required}
+; A 2, 3 or 4d array
 ;
-; KEYWORD PARAMETERS:
+; @returns
+; res, a 2, 3 or 4d array
 ;
-; OUTPUTS:res, un tableau 2, 3 ou 4d
+; @uses
+; common.pro
 ;
-; COMMON BLOCKS:common.pro
+; @restrictions 
+; Force parameters of the zoom on the grid V to be the same as 
+; those on the grid T.
 ;
-; SIDE EFFECTS:force les parametres du zoom sur la grille V a etre
-; les memes que ceux sur la grille T.
+; @restrictions 
+; Points which can not be calculated are put at the value NaN 
+; consecrated by IDL: !values.f_nan
 ;
-; RESTRICTIONS:les points qui ne peuvent etre calcules sont mis a la
-; valeur NaN consacree par IDL: !values.f_nan
+; @history
+; From Marina Levy's programs
+; Sebastien Masson (smasson@lodyc.jussieu.fr):
+; Validation. 5/6/2000
 ;
-; EXAMPLE:
+; @version
+; $Id$
 ;
-; MODIFICATION HISTORY:a partir des programmes de Marina Levy
-;                      Sebastien Masson (smasson@lodyc.jussieu.fr):
-;                      inspection des traveuax finis. 5/6/2000
+; @todo seb: nom du input?
 ;
 ;-
@@ -50,5 +56,5 @@
 ;---------------------------------------------------------
    res = temp
-;on force nxt=nxv, etc ...
+;We force nxt=nxv, etc ...
    firstxt = firstxv
    lastxt = lastxv
@@ -62,5 +68,5 @@
    lat2 = gphiv[0, lastyv]
 
-; cas sur la taille du tableau et application 
+; case on tha array's size and application
    taille = size(temp)
    CASE taille[0] OF 
Index: /trunk/SRC/ToBeReviewed/GRILLE/vmask.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/vmask.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/GRILLE/vmask.pro	(revision 142)
@@ -3,22 +3,26 @@
 ;------------------------------------------------------------
 ;+
-; NAME:vmask
 ;
-; PURPOSE:calcule vmask
+; @file_comments
+; calculate fmask. Economize memory (we do not need to keep vmask anymore)
 ;
-; CATEGORY:fonction economisatrice de memoire (plus besion de garder
-; vmask)  
+; @categories
+; Utilities
 ;
-; CALLING SEQUENCE:res=vmask()
+; @returns
+; A 3d array corresponding to vmask.
 ;
-; OUTPUTS:un tableau 3d correspondant a vmask
+; @examples
+; Used like if vmask was a known array by substituing vmask by (vmask())
+; For example: Instaed of write vmask[domainef] we have to write (vmask())[domainef]
 ;
-; EXAMPLE:s''utilise comme si vmask etait un tableau connu en
-; replacant ds la syntaxe vmask par vmask(). par ex:
-; au lieu de taper vmask[domainef] il faut taper vmask()[domainef]
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                       11/12/98
 ;                       20/9/99 cas jpk=1 (merci jpblod@ipsl.jussieu.fr)
+;
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
@@ -30,5 +34,5 @@
 ;
 @common
-  tempsun = systime(1)          ; pour key_performance
+  tempsun = systime(1)          ; For key_performance
 ;
   CASE size(tmask, /n_dimensions) OF
Index: /trunk/SRC/ToBeReviewed/HOPE/completetype.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/completetype.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/HOPE/completetype.pro	(revision 142)
@@ -1,3 +1,7 @@
-
+;+
+;
+; @todo seb
+;
+;-
 function completetype, typein
 ;
Index: /trunk/SRC/ToBeReviewed/HOPE/computehopegrid.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/computehopegrid.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/HOPE/computehopegrid.pro	(revision 142)
@@ -3,28 +3,40 @@
 ;------------------------------------------------------------
 ;+
-; NAME:computehopegrid
-;
-; PURPOSE:
-;
-; CATEGORY:grille
-;
-; CALLING SEQUENCE:computehopegrid
+;
+; @file_comments
+;
+; @categories
+; grille
 ; 
-; INPUTS:
-;
-; KEYWORD PARAMETERS:
-;
-; OUTPUTS:
-;
-; COMMON BLOCKS:common.pro
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @param XAXIS
+;
+; @param YAXIS
+;
+; @param ZAXIS
+;
+; @param LINETYPE
+;
+; @keyword FORTHEMASK
+;
+; @keyword WPOINT
+;
+; @keyword FIRSTS
+;
+; @keyword LASTS
+;
+; @keyword PTTYPE
+;
+; @uses
+; common.pro
+;
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                      2001-06
+;
+; @version
+; $Id$
+;
+; @todo seb
+;
 ;-
 ;------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/HOPE/createhopestruct.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/createhopestruct.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/HOPE/createhopestruct.pro	(revision 142)
@@ -1,2 +1,7 @@
+;+
+;
+; @todo seb
+;
+;-
 FUNCTION createhopestruct, event
 ;
Index: /trunk/SRC/ToBeReviewed/HOPE/cw_selectinterval.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/cw_selectinterval.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/HOPE/cw_selectinterval.pro	(revision 142)
@@ -1,3 +1,7 @@
-
+;+
+;
+; @todo seb
+;
+;-
 ; PRO testwid_event, event
 ; ;
Index: /trunk/SRC/ToBeReviewed/HOPE/domainpart.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/domainpart.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/HOPE/domainpart.pro	(revision 142)
@@ -1,2 +1,7 @@
+;+
+;
+; @todo seb
+;
+;-
 pro domainpart, top_uvalue, basedomain, selected, DESTROY = destroy
 ;
Index: /trunk/SRC/ToBeReviewed/HOPE/findlineandpointtype.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/findlineandpointtype.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/HOPE/findlineandpointtype.pro	(revision 142)
@@ -1,2 +1,7 @@
+;+
+;
+; @todo seb
+;
+;-
 FUNCTION findlineandpointtype, sectype, xaxis, yaxis, iodir
 ; the file 'HOPE_lonlat.nc' is used in this function, This file must
Index: /trunk/SRC/ToBeReviewed/HOPE/read_hope.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/read_hope.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/HOPE/read_hope.pro	(revision 142)
@@ -1,112 +1,2 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
-;+
-; NAME: read_hope
-;
-; PURPOSE: read the Hope grid file converted in NetCdf by xconv
-;
-; CATEGORY: reading
-;
-; CALLING SEQUENCE: a=read_hope([typein, varnamein])
-; 
-; INPUTS:
-;        typein: a string specifing from which type of section the 4D
-;        array based: 'xy, 'xz', 'yz'
-;
-;        varnamein: a string the name of the cariable to be read (in
-;        lower or upper case)
-;
-; KEYWORD PARAMETERS:
-;
-;         FILENAME = the name of the file to be read
-;
-;         XLIMITS = a two elements vertor [lonmin, lonmax]]
-;                   the bondary of the longitudes (from 0 to 360)
-;
-;         YLIMITS = a two elements vertor [latmin, latmax]]
-;                   the bondary of the latitudes (from -90 to 90)
-;
-;         ZLIMITS = a two elements vertor [depthmin, depthmax]]
-;                   the bondary of the depth
-;
-;         TLIMITS = a two elements vertor [date1, date2]]
-;                   the bondary of the calendar with date1 and date2
-;                   folowing the syntaxe yyyymmdd
-;
-;         /ODDPT: activate to read only the sections located on ODD
-;         points 
-;
-;         /EVENPT: activate to read only the sections located on even
-;         points 
-;
-;         /ODDEVENPT: activate to read only the sections located on
-;         both even and odd points (horizontal sections)
-;
-; OUTPUTS:
-;
-;        -1 if typein and varnamein are undefine (this is the widget
-;        version)
-;
-;        a structure which but be read by litchamp.pro and is
-;        necessary to complute the grid associated to the data (see
-;        the example).
-;
-; COMMON BLOCKS: common.pro (usefull only for the definition of iodir)
-;
-; SIDE EFFECTS:
-;     'x', 'y', 'z', 't', 'xt', 'yt' and 'zt' section not coded, xconv
-;     must be able to works with this kind of fonction.
-;     The grib file has no zoom possibilities on horizontal
-;     dimensions.
-;
-; RESTRICTIONS:
-;
-;     When typein and varnamein are defined, the methode to find the
-;     godd variable is:
-;     1) find the variables which are available on this type of
-;     sections woth this name
-;     2) if ODDPT, EVENPT or ODDEVENPT are specified, consider only
-;     these types of sections
-;     3) for an XY section the chosen variable is the one which has
-;     the most level in the vertical domain specified by ZLIMITS.
-;        for an XZ section the chosen variable is the one which has
-;     the most points in the latitude domain specified by YLIMITS.
-;        for an YZ section the chosen variable is the one which has
-;     the most points in the longitude domain specified by XLIMITS.
-;
-;
-; EXAMPLE:
-;
-;     IDL> a=read_hope('xy','ocpt',filename='CLIM_CNT_1993-1998.nc')
-;     IDL> help, a,/struct
-;     ** Structure <82ec344>, 6 tags, length=1860176, refs=1:
-;        ARRAY           FLOAT     Array[128, 242, 15]
-;        UNIT            STRING    'deg C'
-;        NAME            STRING    'Ocean potential temperature'
-;        DATE            FLOAT     Array[1]
-;        GRID            STRING    'T'
-;        HOPEGRID        STRUCT    -> <Anonymous> Array[1]
-;     IDL> help, a.hopegrid,/struct
-;     ** Structure <82eb9cc>, 8 tags, length=1588, refs=2:
-;        XAXIS           FLOAT     Array[128]
-;        YAXIS           FLOAT     Array[242]
-;        ZAXIS           FLOAT     Array[15]
-;        FIRSTS          LONG      Array[3]
-;        LASTS           LONG      Array[3]
-;        TYPE            STRING    'xy'
-;        LINETYPE        STRING    'odd-even'
-;        PTTYPE          STRING    'T'
-;     IDL> help, litchamp(a)
-;     <Expression>    FLOAT     = Array[128, 242, 15]
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
-;                      June 2001
-;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
-
-
 ;
 pro read_hope_event, event
@@ -291,12 +181,125 @@
 end
 ;
-;
-;
-;
-;
-;
-;
-;
-;
+;------------------------------------------------------------
+;------------------------------------------------------------
+;------------------------------------------------------------
+;+
+;
+; @file_comments
+; Read the Hope grid file converted in NetCdf by xconv
+;
+; @categories
+; Reading
+;
+; @param TYPEIN {in}{required}
+; A string specifing from which type of section the 4D
+; array based: 'xy, 'xz', 'yz'
+;
+; @param VARNAMEIN
+; A string the name of the cariable to be read (in
+; lower or upper case)
+;
+; @keyword FILENAME
+; The name of the file to be read
+;
+; @keyword XLIMITS
+; A two elements vertor [lonmin, lonmax]]
+; the bondary of the longitudes (from 0 to 360)
+;
+; @keyword YLIMITS
+; A two elements vertor [latmin, latmax]]
+; the bondary of the latitudes (from -90 to 90)
+;
+; @keyword ZLIMITS
+; A two elements vertor [depthmin, depthmax]]
+; the bondary of the depth
+;
+; @keyword TLIMITS
+; A two elements vertor [date1, date2]]
+; the bondary of the calendar with date1 and date2
+; folowing the syntaxe yyyymmdd
+;
+; @keyword ODDPT
+; Activate to read only the sections located on ODD
+; points 
+;
+; @keyword EVENPT
+; Activate to read only the sections located on even
+; points 
+;
+; @keyword ODDEVENPT
+; Activate to read only the sections located on
+; both even and odd points (horizontal sections)
+;
+; @keyword _EXTRA
+; Used to pass yor keywords
+;
+; @returns
+; -1 if typein and varnamein are undefine (this is the widget
+; version)
+;
+; A structure which but be read by litchamp.pro and is
+; necessary to complute the grid associated to the data (see
+; the example).
+;
+; @uses
+; common.pro (usefull only for the definition of iodir)
+;
+; @restrictions
+; 'x', 'y', 'z', 't', 'xt', 'yt' and 'zt' section not coded, xconv
+; must be able to works with this kind of fonction.
+; The grib file has no zoom possibilities on horizontal dimensions.
+;
+; @restrictions
+;
+; When typein and varnamein are defined, the methode to find the
+; godd variable is:
+;  1) find the variables which are available on this type of
+; sections woth this name
+;  2) if ODDPT, EVENPT or ODDEVENPT are specified, consider only
+; these types of sections
+;  3) For an XY section the chosen variable is the one which has
+; the most level in the vertical domain specified by ZLIMITS.
+;     For an XZ section the chosen variable is the one which has
+; the most points in the latitude domain specified by YLIMITS.
+;     For an YZ section the chosen variable is the one which has
+; the most points in the longitude domain specified by XLIMITS.
+;
+;
+; @examples
+;
+;     IDL> a=read_hope('xy','ocpt',filename='CLIM_CNT_1993-1998.nc')
+;     IDL> help, a,/struct
+;     ** Structure <82ec344>, 6 tags, length=1860176, refs=1:
+;        ARRAY           FLOAT     Array[128, 242, 15]
+;        UNIT            STRING    'deg C'
+;        NAME            STRING    'Ocean potential temperature'
+;        DATE            FLOAT     Array[1]
+;        GRID            STRING    'T'
+;        HOPEGRID        STRUCT    -> <Anonymous> Array[1]
+;     IDL> help, a.hopegrid,/struct
+;     ** Structure <82eb9cc>, 8 tags, length=1588, refs=2:
+;        XAXIS           FLOAT     Array[128]
+;        YAXIS           FLOAT     Array[242]
+;        ZAXIS           FLOAT     Array[15]
+;        FIRSTS          LONG      Array[3]
+;        LASTS           LONG      Array[3]
+;        TYPE            STRING    'xy'
+;        LINETYPE        STRING    'odd-even'
+;        PTTYPE          STRING    'T'
+;     IDL> help, litchamp(a)
+;     <Expression>    FLOAT     = Array[128, 242, 15]
+;
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+;                      June 2001
+;
+; @version
+; $Id$
+;
+;-
+;------------------------------------------------------------
+;------------------------------------------------------------
+;------------------------------------------------------------
 FUNCTION read_hope, typein, varnamein, FILENAME = filename, XLIMITS = xlimits, YLIMITS = ylimits,  ZLIMITS = zlimits, TLIMITS = tlimits, ODDPT = oddpt, ODDEVENPT = oddevenpt, EVENPT = evenpt, _extra = ex
 ;
Index: /trunk/SRC/ToBeReviewed/HOPE/rh_alldomains.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/rh_alldomains.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/HOPE/rh_alldomains.pro	(revision 142)
@@ -1,2 +1,7 @@
+;+
+;
+; @todo seb
+;
+;-
 PRO rh_alldomains, topid, selected
 ;
Index: /trunk/SRC/ToBeReviewed/HOPE/sortdim.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/sortdim.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/HOPE/sortdim.pro	(revision 142)
@@ -1,2 +1,7 @@
+;+
+;
+; @todo seb
+;
+;-
 
 
Index: /trunk/SRC/ToBeReviewed/HOPE/xrh.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/xrh.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/HOPE/xrh.pro	(revision 142)
@@ -1,2 +1,7 @@
+;+
+;
+; @todo seb
+;
+;-
 ; procedure to call read_hope in the widget mode
 PRO xrh, _extra = ex
Index: /trunk/SRC/ToBeReviewed/IMAGE/animgif.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/IMAGE/animgif.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/IMAGE/animgif.pro	(revision 142)
@@ -7,12 +7,16 @@
 ; Build a gif animation
 ;
-; @categories Animated drawings.
+; @categories 
+; Animated drawings.
 ;
-; @param toto.gif {in}{required} It is the name of the gif file containing the animation.
-;                         Comment: this file is placed in the directory defined by iodir.
+; @param NOMFIC {in}{required} 
+; It is the name of the gif file containing the animation.
+;          Comment: this file is placed in the directory defined by iodir.
 ;
-; @uses common.pro
+; @uses 
+; common.pro
 ;
-; @restrictions We use the Z buffer to go faster!.
+; @restrictions 
+; We use the Z buffer to go faster!.
 ;              So, if it failed in animgif, you have to do:
 ;              IDL> device, /close
@@ -20,13 +24,16 @@
 ;              IDL> retall
 ;
-; @restrictions If we want to delete the @common,
+; @restrictions 
+; If we want to delete the \ @common,
 ;               we have to define manually the picture's size 
 ;               (variables xsize and ysize) just as iodir.
 ;
-; @history Guillaume Roullet (grlod@ipsl.jussieu.fr)
+; @history 
+; Guillaume Roullet (grlod@ipsl.jussieu.fr)
 ;          Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;          30/4/1999
 ;
-; @version $Id$
+; @version 
+; $Id$
 ;
 ;-
